Bug 43605 - initscripts fails to prereq sh-utils
initscripts fails to prereq sh-utils
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.1
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-05 15:52 EDT by wstearns
Modified: 2014-03-16 22:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-05 15:53:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wstearns 2001-06-05 15:52:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.5-ac4 i686)

Description of problem:
The /sbin/mkkerneldoth script requires the /bin/uname binary to run, 
but the initscripts package doesn't have sh-utils as a prerequisite.

How reproducible:
Always

Steps to Reproduce:
1. Install initscripts, then kernel on a system where sh-utils has not yet
been installed; the execution of mkkerneldoth (in kernel's %post, probably)
will complain about missing uname.
	

Additional info:
Comment 1 Bill Nottingham 2001-07-09 01:29:34 EDT
will be fixed in 6.00-1, or so.

Note You need to log in before you can comment on or make changes to this bug.